Pagina 1 di 1

problema con l'installazione della somasuite

Inviato: mer nov 11, 2009 22:28
da alfio2999
Ciao sto cercando di installare la somasuite http://repository.slacky.eu/slackware-1 ... /soma/2.4/
La mia versione di linux e' la slackware 13.0 .
Dal terminal lancio il seguente file http://repository.slacky.eu/slackware-1 ... SlackBuild
Ed in uscita l'output contenuto nel file in allegato.

In attesa di una vostra ..saluti

Re: problema con l'installazione della somasuite

Inviato: mer nov 11, 2009 22:35
da JohnnyMnemonic
Ciao e benvenuto!

Una domanda: perchè non usi il pacchetto precompilato che trovi nei repository? (cioè nella stessa directory che hai linkato)

Offtopic: Puoi postare tranquillamente sul forum eventuali output da terminale, basta racchiuderli tra tag code, invece di allegare un .doc zippato :?

Ancora benvenuto :thumbright:

Re: problema con l'installazione della somasuite

Inviato: gio nov 12, 2009 23:07
da alfio2999
Ciao , il pacchetto l'ho scaricato da
http://repository.slacky.eu/slackware-1 ... a/2.4/src/

E' corretto ?

Re: problema con l'installazione della somasuite

Inviato: gio nov 12, 2009 23:10
da JohnnyMnemonic
Li ci sono i sorgenti, il pacchetto è questo: http://repository.slacky.eu/slackware-1 ... 86-4sl.txz

Lo scarichi e lo installi come root con

Codice: Seleziona tutto

installpkg nomepacchetto

Re: problema con l'installazione della somasuite

Inviato: ven ott 29, 2010 21:57
da zion
Ciao, purtroppo anch'io ho problemi con somasuite. Durante la compilazione esce con questo errore:

Codice: Seleziona tutto

[...]
Making all in confuse
make[2]: Entering directory `/tmp/tgz/soma-2.4/confuse'
if gcc -DHAVE_CONFIG_H -I. -I. -I..     -O2   -DSOMA_USE_OPENSSL -I/usr/include/libxml2   -Wall -MT confuse.o -MD -MP -MF ".deps/confuse.Tpo" \
     -c -o confuse.o `test -f 'confuse.c' || echo './'`confuse.c; \
   then mv -f ".deps/confuse.Tpo" ".deps/confuse.Po"; \
   else rm -f ".deps/confuse.Tpo"; exit 1; \
   fi
confuse.c:56: error: static declaration of 'strndup' follows non-static declaration
make[2]: *** [confuse.o] Error 1
make[2]: Leaving directory `/tmp/tgz/soma-2.4/confuse'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/tgz/soma-2.4'
make: *** [all] Error 2


Purtroppo non posso usare il precompilato perché sto usando Slackware64 13.1, quindi ho necessita di ricompilare per x86_64. Qualcuno mi sa dare una mano?